'use strict';
var yeoman = require('yeoman-generator');
var chalk = require('chalk');
var yosay = require('yosay');

module.exports = yeoman.generators.Base.extend({
  initializing: function () {
    this.pkg = require('../package.json');
  },

  prompting: function () {
    var done = this.async();

    // Have Yeoman greet the user.
    this.log(yosay(
      "Good luck with your new test!"
    ));

    var prompts = [
      // {
      //   type: 'confirm',
      //   name: 'someOption',
      //   message: 'Would you like to enable this option?',
      //   default: true
      // }
    ];

    this.prompt(prompts, function (props) {
      // this.someOption = props.someOption;
      done();
    }.bind(this));
  },

  writing: {
    app: function () {
      this.fs.copy(
        this.templatePath('_package.json'),
        this.destinationPath('package.json')
      );
      this.fs.copy(
        this.templatePath('_bowerrc.json'),
        this.destinationPath('.bowerrc')
      );
      this.fs.copy(
        this.templatePath('_bower.json'),
        this.destinationPath('bower.json')
      );
      this.fs.copy(
        this.templatePath('_gitignore.txt'),
        this.destinationPath('.gitignore')
      );
      this.fs.copy(
        this.templatePath('_gruntfile.js'),
        this.destinationPath('gruntfile.js')
      );
      this.fs.copy(
        this.templatePath('public'),
        this.destinationPath('public')
      );
      this.fs.copy(
        this.templatePath('src'),
        this.destinationPath('src')
      );
    },

    projectfiles: function () {
      this.fs.copy(
        this.templatePath('editorconfig'),
        this.destinationPath('.editorconfig')
      );
      this.fs.copy(
        this.templatePath('jshintrc'),
        this.destinationPath('.jshintrc')
      );
    }
  },

  install: function () {
    this.installDependencies({
      skipInstall: this.options['skip-install']
    });
  }
});
