module.exports = function(grunt) {

	// Config
	grunt.initConfig({
		pkg: grunt.file.readJSON('package.json'),

		watch: {
			jade: {
				files: ['**/*.jade'],
				tasks: ['jade'],
				options: {
					spawn: false
				},
			},
			sass: {
				files: ['**/*.scss'],
				tasks: ['sass'],
				options: {
					spawn: false
				},
			}
		},

		jade: {
			default: {
				options: {
					pretty: true,
					data: {
						imgPath: 'inc/image/'
					}
				},
				files: [{
					cwd: 'src/jade',
					src: '*.jade',
					dest: 'public/',
					expand: true,
					ext: '.html'
				}]
			}
		},

		sass: {
			dist: {
				files: {
					'public/inc/style/screen.css': 'src/style/screen.scss'
				}
			}
		},

		connect: {
			default: {
				port: 9000,
				base: 'public/'
			}
		}

	});

	// Load tasks
	grunt.loadNpmTasks('grunt-contrib-sass');
	grunt.loadNpmTasks('grunt-contrib-jade');
	grunt.loadNpmTasks('grunt-contrib-watch');
	grunt.loadNpmTasks('grunt-connect');

	// Default task
	grunt.registerTask('default', ['jade', 'sass']);

};